searchNodes=[{"ref":"ExTripcode.html","title":"ExTripcode","type":"module","doc":"This module provides functions to generate and parse tripcodes. Regular tripcodes are generated as follows: Convert the input to Shift JIS. Generate the salt as follows: Take the second and third characters of the string obtained by appending H.. to the end of the input. Replace any characters not between . and z with .. Replace any of the characters in :;&lt;=&gt;?@[\\]^_` with the corresponding character from ABCDEFGabcdef. Call the crypt() function with the input and salt. Return the last 10 characters. (compressional data harvest) Secure tripcodes are generated as follows: Convert the input to Shift JIS. Create a hash by taking the SHA1 sum of input &amp; the base64 decoded seed. Base64 encode this hash. Return the first 15 characters."},{"ref":"ExTripcode.html#hash/1","title":"ExTripcode.hash/1","type":"function","doc":"Takes a string value as input and transforms it into a tripcode. Returns a string containing the tripcode. Examples iex&gt; ExTripcode.hash(&quot;elixir&quot;) &quot;H3R1pplX/.&quot;"},{"ref":"ExTripcode.html#hash/2","title":"ExTripcode.hash/2","type":"function","doc":"Takes a string value as input, with a secret seed and transforms it into a secure tripcode. Returns a string containing the tripcode. Examples iex&gt; ExTripcode.hash(&quot;elixir&quot;, &quot;secret&quot;) &quot;KZ1B7o9AtcJD9XQ&quot;"},{"ref":"ExTripcode.html#parse/1","title":"ExTripcode.parse/1","type":"function","doc":"Parses a user and tripcode string, in the form of user#tripcode. Returns a map containing key-values for all values that are found. Note: The user can be an empty string, this is valid. Examples iex&gt; ExTripcode.parse(&quot;User#elixir&quot;) %{user: &quot;User&quot;, code: &quot;H3R1pplX/.&quot;}"},{"ref":"ExTripcode.html#parse/2","title":"ExTripcode.parse/2","type":"function","doc":"Parses for (secure) tripcodes in the form of user#tripcode#secure. You need to provide a secret seed you store only on the server and keep hidden from your users. Returns a map containing key-values for all values that are found. Note: The user can be an empty string, this is valid. Examples iex&gt; ExTripcode.parse(&quot;User#elixir#elixir&quot;, &quot;secret&quot;) %{user: &quot;User&quot;, code: &quot;H3R1pplX/.&quot;, secure: &quot;KZ1B7o9AtcJD9XQ&quot;} iex&gt; ExTripcode.parse(&quot;User##elixir&quot;, &quot;secret&quot;) %{user: &quot;User&quot;, secure: &quot;KZ1B7o9AtcJD9XQ&quot;} iex&gt; ExTripcode.parse(&quot;User#elixir&quot;, &quot;secret&quot;) %{user: &quot;User&quot;, code: &quot;H3R1pplX/.&quot;}"}]